export default function(w, d, options){

    var item = w
        .select('div.selecton-search')
        .insert('div', 'input.selecton-search-input')
        .style('background-color', 'color' in d ? d.color : null)
        .attr('class', 'input-item');

    item
        .append('span')
        .attr('class', 'input-item-content')
        .html(options.render(d));

    if(options.showHierarchyButton){
        item
            .append('span')
            .attr('class', 'input-item-expand-hierachy-button')
            .html('&nbsp;');
    }

    if(options.showRemoveButton){
        item
            .append('span')
            .attr('class', 'input-item-remove-button')
            .html('&nbsp;');
    }

    item.datum(d);
}
