import {select  as d3select}        from 'd3-selection';
import {event   as d3event}         from 'd3-selection';
import {default as _openAllParents} from './openAllParents';

export default function(w, key){
    var item     = d3select(this.parentNode);
    var itemData = item.data()[0];

    d3event.stopPropagation();

    _openAllParents(w, itemData._parent_, key);

    itemData._temporarilyHighlighted_ = true;

    return itemData;
}
